CFPRIME READIE                                                          READIE      1
C***********************************************************************RIGHTE      1
C*                                                                     *RIGHTE      2
C*        Extended Transient-Midterm Stability Program (ETMSP)         *RIGHTE      3
C*        ====================================================         *RIGHTE      4
C*                                                                     *RIGHTE      5
C*       Copyright (C) (1993) Electric Power Research Institute        *RIGHTE      6
C*                                                                     *RIGHTE      7
C* EPRI reserves all rights in the software and associated             *RIGHTE      8
C* documentation as delivered. The software and its associated         *RIGHTE      9
C* documention or any portion thereof may not be reproduced in any form*RIGHTE     10
C* whatsoever without the consent of EPRI, except as explicity provided*RIGHTE     11
C* for by license. Licensee shall submit a detailed description to EPRI*RIGHTE     12
C* of any changes or modifications to the software within two (2)      *RIGHTE     13
C* months after such changes or modifications are made. At EPRI's sole *RIGHTE     14
C* discretion, the software, as changed or modified, shall be given a  *RIGHTE     15
C* new designation sufficiently different from its then current        *RIGHTE     16
C* designation as to prevent mistake,confusion, or deception as between*RIGHTE     17
C* the current software as changed or modified.                        *RIGHTE     18
C*                                                                     *RIGHTE     19
C* A license under EPRI's rights in the software can be obtained       *RIGHTE     20
C* directly from EPRI.                                                 *RIGHTE     21
C*                                                                     *RIGHTE     22
C* This program and supporting materials may be independently available*RIGHTE     23
C* from Electric Power Software centre (EPSC) for an appropriate       *RIGHTE     24
C* distribution fee. The EPSC is a service of                          *RIGHTE     25
C*                                                                     *RIGHTE     26
C*                    Power Computing Company                          *RIGHTE     27
C*                    1930 Hi Line                                     *RIGHTE     28
C*                    Dallas, Tx 75207                                 *RIGHTE     29
C*                                                                     *RIGHTE     30
C* NEITHER EPRI, ANY MEMBER OF EPRI, NOR ANY PERSON OR  ORGANIZATION   *RIGHTE     31
C* ACTING ON BEHAVE OF THEM:                                           *RIGHTE     32
C*                                                                     *RIGHTE     33
C* 1. MAKE ANY WARRANTY OR REPRESENTATION WHATSOEVER, EXPRESS OR       *RIGHTE     34
C*    IMPLIED, INCLUDING ANY WARRANTY OF MERCHANTABILITY OR FITNESS OR *RIGHTE     35
C*    ANY PURPOSE WITH RESPECT TO THE SOFTWARE OR ITS ASSOCIATED       *RIGHTE     36
C*    DOCUMENTATION; OR                                                *RIGHTE     37
C*                                                                     *RIGHTE     38
C* 2. ASSUMES ANY LIABILITY WHATSOEVER WITH RESPECT TO ANY USE OF THE  *RIGHTE     39
C*    SOFTWARE OR ITS ASSOCIATED DOCUMENTATION OR ANY PORTION THEREOF  *RIGHTE     40
C*    OR WITH RESPECT TO ANY DAMAGES WHICH MAY RESULT FROM SUCH USE.   *RIGHTE     41
C*                                                                     *RIGHTE     42
C* THIS NOTICE MAY NOT BE REMOVED FROM THE SOFTWARE BY ANY USER        *RIGHTE     43
C* THEREOF.                                                            *RIGHTE     44
C*                                                                     *RIGHTE     45
C***********************************************************************RIGHTE     46
      SUBROUTINE READIE(IUX,IUY)                                        READIE      3
CD                                                                      READIE      4
CD    THIS IS THE MAIN DRIVER FOR READING AND PROCESSING IEEE FORMAT    READIE      5
CD    DYNAMIC DATA. IT IS CALLED IN SUBROUTINE DYNDAT WHEN THE KEYWORD  READIE      6
CD    "IEEE"  APPEARS IN THE DYNAMIC DATA FILE.                         READIE      7
CD                                                                      READIE      8
CD    THIS ROUTINE CALLS THE FOLLOWING SUBROUTINES:                     READIE      9
CD                                                                      READIE     10
CD         BLANK  - TO INITIALIZE STORAGE ARRAYS                        READIE     11
CD         IECMNT - TO READ COMMENT CARDS                               READIE     12
CD         IEGEN  - TO READ GENERATOR CARDS                             READIE     13
CD         IEEXCD - TO READ EXCITER CARDS                               READIE     14
CD         IEPSS  - TO READ POWER SYSTEM STABILIZER CARDS               READIE     15
CD         IEGOV  - TO READ GOVERNOR CARDS                              READIE     16
CD         IELOAD - TO READ COMPOSITIVE LOAD CARDS                      READIE     17
CD         IEEND  - TO READ END CARDS                                   READIE     18
CD         EPIECV - TO CONVERT EXCITER DATA                             READIE     19
CD         IEOHPS - TO CONVERT POWER SYSTEM STABILIZER DATA             READIE     20
CD         IEOHGV - TO CINVERT GOVERNOR DATA                            READIE     21
CD         EPDDAT - TO STORE CONVERTED DATA TO PROGRAM ARRAYS           READIE     22
CD                                                                      READIE     23
C---------------------------------------------------------------------  READIE     24
C                                                                       READIE     25
      INCLUDE 'PARX.INS'                                                READIE     26
      INCLUDE 'CNUNIT.INS'                                              READIE     27
      INCLUDE 'CNFLAG.INS'                                              READIE     28
      INCLUDE 'CNMSG.INS'                                               READIE     29
      INCLUDE 'CNCPT3.INS'                                              READIE     30
C                                                                       READIE     31
C                                                                       READIE     32
      CHARACTER*4 UNITID(NM),AG13,AG1B                                  READIE     33
      CHARACTER*12 BNAME(NM),AG12,AG15                                  READIE     34
      CHARACTER*32 FILNAM                                               READIE     35
      CHARACTER*80 DATCMT(20)                                           READIE     36
      CHARACTER*80 DATGEN(5),DATEXC(5),DATPSS(3),DATGOV(4),DATCLD(4)    READIE     37
C                                                                       READIE     38
      LOGICAL NOCMT,ERRX                                                READIE     39
C                                                                       READIE     40
      COMMON /SCRAT2/ UNITID,AG13,AG1B,BNAME,AG12,AG15,DATCMT           READIE     41
C                                                                       READIE     42
*IF -MI2                                                                READIE     43
      INTEGER*2 NTHGEN,NEXTG,MGEN,MEXC,MPSS,MGOV,MCLD,NBUSN,MCGEN       READIE     44
*ENDIF                                                                  READIE     45
      COMMON /SCRAT3/ NTHGEN(NB),NEXTG(NM),MGEN(NM),MEXC(NM),MPSS(NM)   READIE     46
     &,MGOV(NM),MCLD(NB),NBUSN(NM),MCGEN(NM)                            READIE     47
C                                                                       READIE     48
      LDEB=(JDEB(92).NE.0)                                              READIE     49
                                                                        READIE     50
C   .....................................                               READIE     51
C   : HARD WIRED VARIABLES. CHANGE THEM :                               READIE     52
C   : IF NECESSARY.                     :                               READIE     53
C      DEBUG=.TRUE.                                                     READIE     54
C      DEB=.TRUE.                                                       READIE     55
C   :...................................:                               READIE     56
CD                                                                      READIE     57
CD    1. OPEN A DIRECT ACCESS 128 BYTES SCRATCH FILE                    READIE     58
CD                                                                      READIE     59
      JLENG=50                                                          READIE     60
      IKEY=4                                                            READIE     61
      CALL OPENRE(IU31,FILNAM,JLENG,IKEY,ISTAT,L0)                      READIE     62
C                                                                       READIE     63
CD                                                                      READIE     64
CD    2. INITIALIZE  ALL RELEVENT ARRAYS                                READIE     65
CD                                                                      READIE     66
      CALL BLANK(UNITID,NM)                                             READIE     67
      CALL HMOVE(0,MGEN,MGEN,NM)                                        READIE     68
      CALL HMOVE(0,MEXC,MEXC,NM)                                        READIE     69
      CALL HMOVE(0,MPSS,MPSS,NM)                                        READIE     70
      CALL HMOVE(0,MGOV,MGOV,NM)                                        READIE     71
      CALL HMOVE(0,MCLD,MCLD,NB)                                        READIE     72
C                                                                       READIE     73
      NGENS=0                                                           READIE     74
      NNLDS=0                                                           READIE     75
      IREC=0                                                            READIE     76
CD                                                                      READIE     77
CD    3. GET COMMENT CARDS. NO NEED TO STORE'EM ON FILE                 READIE     78
CD                                                                      READIE     79
      CALL IECMNT (IUX,DATCMT,20,NCMT,NOCMT)                            READIE     80
CD                                                                      READIE     81
CD    4. STORE GENERATOR DATA                                           READIE     82
CD                                                                      READIE     83
      IGENST=IREC+1                                                     READIE     84
      CALL IEGEN (IREC,IUX,DATGEN,5,NTHGEN,NEXTG,MGEN,                  READIE     85
     1NB,NM,NGENS,UNITID,BNAME,NBUSN,ERRX)                              READIE     86
      IF(ERRX)THEN                                                      READIE     87
      MSG(1)='READIE: ERROR IN READING IEEE GENERATOR DATA'             READIE     88
      CALL ASTOP(MSG(1),44)                                             READIE     89
      ENDIF                                                             READIE     90
CD                                                                      READIE     91
CD    5. STORE EXCITER DATA                                             READIE     92
CD                                                                      READIE     93
      IEXCST=IREC+1                                                     READIE     94
      CALL IEEXC(IREC,IUX,DATEXC,5,NTHGEN,NEXTG,MGEN,                   READIE     95
     1MEXC,NB,NM,UNITID,ERRX)                                           READIE     96
      IF(ERRX)THEN                                                      READIE     97
      MSG(1)='READIE: ERROR IN READING IEEE EXCITER DATA'               READIE     98
      CALL ASTOP(MSG(1),42)                                             READIE     99
      ENDIF                                                             READIE    100
CD                                                                      READIE    101
CD    6. STORE PSS DATA                                                 READIE    102
CD                                                                      READIE    103
      IPSSST=IREC+1                                                     READIE    104
      CALL IEPSS(IREC,IUX,DATPSS,3,NTHGEN,NEXTG,MGEN,                   READIE    105
     1MPSS,NB,NM,UNITID,ERRX)                                           READIE    106
      IF(ERRX)THEN                                                      READIE    107
      MSG(1)='READIE: ERROR IN READING IEEE STABILIZER DATA'            READIE    108
      CALL ASTOP(MSG(1),45)                                             READIE    109
      ENDIF                                                             READIE    110
CD                                                                      READIE    111
CD    7. STORE GOVERNOR DATA                                            READIE    112
CD                                                                      READIE    113
      IGOVST=IREC+1                                                     READIE    114
      CALL IEGOV(IREC,IUX,DATGOV,4,NTHGEN,NEXTG,MGEN,                   READIE    115
     1MGOV,NB,NM,UNITID,ERRX)                                           READIE    116
      IF(ERRX)THEN                                                      READIE    117
      MSG(1)='READIE: ERROR IN READING IEEE GOVERNOR DATA'              READIE    118
      CALL ASTOP(MSG(1),43)                                             READIE    119
      ENDIF                                                             READIE    120
CD                                                                      READIE    121
CD    8. STORE LOAD DATA                                                READIE    122
CD                                                                      READIE    123
      ILOAST=IREC+1                                                     READIE    124
      CALL IELOAD(IREC,IUX,DATCLD,4,MCLD,NNLDS,NB,ERRX)                 READIE    125
      IF(ERRX)THEN                                                      READIE    126
      MSG(1)='READIE: ERROR IN READING IEEE LOAD MODEL DATA'            READIE    127
      CALL ASTOP(MSG(1),45)                                             READIE    128
      ENDIF                                                             READIE    129
C                                                                       READIE    130
C    END OF DATA CARD                                                   READIE    131
C                                                                       READIE    132
      CALL IEEND (IUX,ERRX)                                             READIE    133
      IF(ERRX)THEN                                                      READIE    134
         WRITE(MSG(1),2020)                                             READIE    135
         CALL PRTMSG(1)                                                 READIE    136
      ENDIF                                                             READIE    137
C                                                                       READIE    138
C   : DETAIL DEBUG                                                      READIE    139
C   :                                                                   READIE    140
      IF(LDEB) THEN                                                     READIE    141
         WRITE(IUD6,5000)                                               READIE    142
         DO 110 I=1,NB                                                  READIE    143
            ITHGEN=NTHGEN(I)                                            READIE    144
            IF(ITHGEN.NE.0) THEN                                        READIE    145
                INX=NTHGEN(I)                                           READIE    146
 111            CONTINUE                                                READIE    147
                WRITE(IUD6,5100) I,UNITID(INX),NTHGEN(I),NEXTG(INX),    READIE    148
     1          MGEN(INX),MEXC(INX),MPSS(INX),MGOV(INX),BNAME(INX),     READIE    149
     1          NBUSN(INX)                                              READIE    150
                IF(NEXTG(INX).NE.0) THEN                                READIE    151
                   INX=NEXTG(INX)                                       READIE    152
                   GOTO 111                                             READIE    153
                ENDIF                                                   READIE    154
            ENDIF                                                       READIE    155
 110     CONTINUE                                                       READIE    156
         WRITE(IUD6,5150) IGENST,IEXCST,IPSSST,IGOVST,ILOAST            READIE    157
c        JREC=IREC-1                                                    READIE    158
c        DO 120 I=1,JREC                                                READIE    159
c           READ(IU31,REC=I)DATGEN                                      READIE    160
c           WRITE(IUD6,5200) I                                          READIE    161
c           WRITE(IUD6,3050) DATGEN                                     READIE    162
c120     CONTINUE                                                       READIE    163
      ENDIF                                                             READIE    164
CD                                                                      READIE    165
CD    9. PREPARE DETAILED GENERATOR DATA                                READIE    166
CD                                                                      READIE    167
      KCCT=' '                                                          READIE    168
      IVTN=0                                                            READIE    169
      JTEB=0                                                            READIE    170
      IRMBU1=0                                                          READIE    171
      IOHTY1=0                                                          READIE    172
      UL=0.8                                                            READIE    173
      UH=1.2                                                            READIE    174
      CMTL=0.0                                                          READIE    175
      BASVR=1.0                                                         READIE    176
      IM=0                                                              READIE    177
      IN=0                                                              READIE    178
C                                                                       READIE    179
      DO 210 INX=1,NGENS                                                READIE    180
C                                                                       READIE    181
        CALL BLANK(DATGEN,5)                                            READIE    182
        CALL BLANK(DATEXC,5)                                            READIE    183
        CALL BLANK(DATPSS,3)                                            READIE    184
        CALL BLANK(DATGOV,4)                                            READIE    185
C                                                                       READIE    186
        NLF=NBUSN(INX)                                                  READIE    187
        BUSNAM=BNAME(INX)                                               READIE    188
        NGRI=UNITID(INX)                                                READIE    189
C                                                                       READIE    190
        ISAT=0                                                          READIE    191
        JEXC=0                                                          READIE    192
        JSTAB=0                                                         READIE    193
        JFLTN=0                                                         READIE    194
        JGOV=0                                                          READIE    195
CD                                                                      READIE    196
CD    10. READ IN MACHINE PARAMETERS                                    READIE    197
CD                                                                      READIE    198
        JREC=MGEN(INX)                                                  READIE    199
        READ(IU31,REC=JREC)DATGEN(1),DATGEN(2)                          READIE    200
        JREC=JREC+1                                                     READIE    201
        READ(IU31,REC=JREC)DATGEN(3),DATGEN(4)                          READIE    202
        JREC=JREC+1                                                     READIE    203
        READ(IU31,REC=JREC)DATGEN(5)                                    READIE    204
C                                                                       READIE    205
        READ(DATGEN(1),1000,IOSTAT=IOS)                                 READIE    206
     *      MG11,AG12,AG13,MG14,AG15,FG16,FG17,FG18,FG19,FG1A,AG1B      READIE    207
        IF(IOS.NE.0) GOTO 55                                            READIE    208
        READ(DATGEN(2),1010,IOSTAT=IOS)                                 READIE    209
     *      FG21,FG22,FG23,FG24,FG25,FG26,FG27                          READIE    210
        IF(IOS.NE.0) GOTO 55                                            READIE    211
        READ(DATGEN(3),1010,IOSTAT=IOS)                                 READIE    212
     *      FG31,FG32,FG33,FG34,FG35,FG36,FG37                          READIE    213
        IF(IOS.NE.0) GOTO 55                                            READIE    214
        READ(DATGEN(4),1010,IOSTAT=IOS)                                 READIE    215
     *      FG41,FG42,FG43,FG44,FG45,FG46,FG47                          READIE    216
        IF(IOS.NE.0) GOTO 55                                            READIE    217
        READ(DATGEN(5),1010,IOSTAT=IOS)                                 READIE    218
     *      FG51,FG52,FG53,FG54,FG55,FG56,FG57                          READIE    219
        IF(IOS.NE.0) GOTO 55                                            READIE    220
C                                                                       READIE    221
        GOTO 56                                                         READIE    222
C                                                                       READIE    223
C    READ ERROR                                                         READIE    224
C                                                                       READIE    225
 55     WRITE(MSG(1),3100)                                              READIE    226
        MSG(2)=DATGEN(1)                                                READIE    227
        CALL PRTMSG(2)                                                  READIE    228
        GOTO 210                                                        READIE    229
C                                                                       READIE    230
C    DEBUG - OUTPUT                                                     READIE    231
C                                                                       READIE    232
 56     IF(LDEB)THEN                                                    READIE    233
          WRITE(IUD6,3020)                                              READIE    234
          WRITE(IUD6,1000)MG11,AG12,AG13,MG14,AG15,FG16,FG17,           READIE    235
     1          FG18,FG19,FG1A,AG1B                                     READIE    236
          WRITE(IUD6,1010)FG21,FG22,FG23,FG24,FG25,FG26,FG27            READIE    237
          WRITE(IUD6,1010)FG31,FG32,FG33,FG34,FG35,FG36,FG37            READIE    238
          WRITE(IUD6,1010)FG41,FG42,FG43,FG44,FG45,FG46,FG47            READIE    239
          WRITE(IUD6,1010)FG51,FG52,FG53,FG54,FG55,FG56,FG57            READIE    240
        ENDIF                                                           READIE    241
C                                                                       READIE    242
        IF(FG23.EQ.0.0)FG23=1.0                                         READIE    243
        IF(FG24.EQ.0.0)FG24=1.0                                         READIE    244
        IPFA=NINT(FG23*100)                                             READIE    245
        IQFA=NINT(FG24*100)                                             READIE    246
C                                                                       READIE    247
        RA=FG47                                                         READIE    248
        XD=FG31                                                         READIE    249
        XQ=FG41                                                         READIE    250
        XL=FG46                                                         READIE    251
        XPD=FG32                                                        READIE    252
        XPQ=FG42                                                        READIE    253
        XPPD=FG33                                                       READIE    254
        XPPQ=FG43                                                       READIE    255
        TPDO=FG35                                                       READIE    256
        TPQO=FG44                                                       READIE    257
        TPPDO=FG36                                                      READIE    258
        TPPQO=FG45                                                      READIE    259
C                                                                       READIE    260
        HM=FG26                                                         READIE    261
        DAMP=FG27                                                       READIE    262
        BASPR=FG25                                                      READIE    263
C                                                                       READIE    264
C         CLASSICAL MACHINE - GO TO GOVERNOR                            READIE    265
C                                                                       READIE    266
        IF(AG1B.EQ.'0.0 ')THEN                                          READIE    267
          IGEN=3                                                        READIE    268
          GOTO 200                                                      READIE    269
        ELSE                                                            READIE    270
          IGEN=0                                                        READIE    271
        ENDIF                                                           READIE    272
CD                                                                      READIE    273
CD    11. EXCITER DATA FOR THIS GENERATOR                               READIE    274
CD                                                                      READIE    275
        JREC=MEXC(INX)                                                  READIE    276
        IF(JREC.GT.0)THEN                                               READIE    277
          READ(IU31,REC=JREC)DATEXC(1),DATEXC(2)                        READIE    278
          JREC=JREC+1                                                   READIE    279
          READ(IU31,REC=JREC)DATEXC(3),DATEXC(4)                        READIE    280
          JREC=JREC+1                                                   READIE    281
          READ(IU31,REC=JREC)DATEXC(5)                                  READIE    282
          CALL EPIECV (EXC,JEXC,DATEXC(1),DATEXC(2),DATEXC(3),          READIE    283
     1    DATEXC(4),DATEXC(5),IEEEX6)                                   READIE    284
        ENDIF                                                           READIE    285
CD                                                                      READIE    286
CD    12. PSS DATA FOR THIS GENERATOR                                   READIE    287
CD                                                                      READIE    288
        JREC=MPSS(INX)                                                  READIE    289
        IF(JREC.GT.0)THEN                                               READIE    290
          READ(IU31,REC=JREC)DATPSS(1),DATPSS(2)                        READIE    291
          JREC=JREC+1                                                   READIE    292
          READ(IU31,REC=JREC)DATPSS(3)                                  READIE    293
          CALL IEOHPS (IRMBUS,IOHTYP,EXS,JSTAB,EXF,JFLTN,DATPSS)        READIE    294
        ENDIF                                                           READIE    295
CD                                                                      READIE    296
CD    13. GOVERNOR DATA FOR THIS GENERATOR                              READIE    297
CD                                                                      READIE    298
 200    JREC=MGOV(INX)                                                  READIE    299
        IF(JREC.GT.0)THEN                                               READIE    300
          READ(IU31,REC=JREC)DATGOV(1),DATGOV(2)                        READIE    301
          JREC=JREC+1                                                   READIE    302
          READ(IU31,REC=JREC)DATGOV(3),DATGOV(4)                        READIE    303
          CALL IEOHGV (EXG,IEXG,IGEN,JGOV,DATGOV,NLF,NGRI)              READIE    304
        ENDIF                                                           READIE    305
CD                                                                      READIE    306
CD    14. SATURATION DATA FOR THIS GENERATOR                            READIE    307
CD                                                                      READIE    308
        IF(FG51.GT.0.0.AND.FG52.GT.0.0)THEN                             READIE    309
          ISAT=1                                                        READIE    310
          SE1=FG51                                                      READIE    311
          SE2=FG52*1.2                                                  READIE    312
          ASAT=SE1*SE1/SE2                                              READIE    313
          BSAT=5.0*LOG(SE2/SE1)                                         READIE    314
        ENDIF                                                           READIE    315
CD                                                                      READIE    316
CD    15. STORE THE GENERATOR AND CONTROL DATA INTO PROGRAM ARRAYS      READIE    317
CD                                                                      READIE    318
        CALL STGEND                                                     READIE    319
C                                                                     : READIE    320
 210  CONTINUE                                                          READIE    321
C                                                                       READIE    322
      CALL CLOSEF(IU31)                                                 READIE    323
      RETURN                                                            READIE    324
C                                                                       READIE    325
 1000 FORMAT(T2,I4,T7,A12,T20,A4,T25,I4,T30,A12,T43,F5.3,T48,F5.3,      READIE    326
     1       T53,F5.3,T58,F5.3,T63,F5.3,T69,A4)                         READIE    327
 1010 FORMAT(5X,7F10.5)                                                 READIE    328
 2020 FORMAT(' *** WARNING MISSING "END OF DATA" CARD, ASSUME END OF'   READIE    329
     *,' DATA.')                                                        READIE    330
 3040 FORMAT(/1X,'%DEBUG(READIE) MACHINE DATA AFTER TRANSLATED : ')     READIE    331
 3050 FORMAT(1X,A80)                                                    READIE    332
 3060 FORMAT(/1X,'%DEBUG(READIE) CLASSICAL MACHINE DATA  : ')           READIE    333
 3020 FORMAT(/1X,'%DEBUG(READIE) MACHINE DATA AS READ IN : ')           READIE    334
 3100 FORMAT(' *** WARNING MACHINE DATA READ ERROR. THE FOLLOWING'      READIE    335
     *,' MACHINE IS IGNORED.')                                          READIE    336
 5000 FORMAT(T2,' BUS#',T8,'ID',T12,'NTHGEN',T20,'NEXTG()',             READIE    337
     1T30,'MGEN()',T40,'MEXC()',T50,'MPSS()',T60,'MGOV()',              READIE    338
     1T70,'BUS NAME',T85,'NBUSN()')                                     READIE    339
 5100 FORMAT(T2,I6,T8,A4,T12,I6,T20,I6,T30,I6,T40,I6,T50,I6,            READIE    340
     1T60,I6,T70,A12,T85,I5)                                            READIE    341
 5150 FORMAT(/,1X,'%DEBUG(READIE) Start record for GEN =',I5,           READIE    342
     1' EXC =',I5,' PSS=',I5,' GOV=',I5,' LOAD=',I5,/)                  READIE    343
 5200 FORMAT(/,1X,'%DEBUG(READIE) Record # => ',I6,' <==',              READIE    344
     1' Contents of record : ')                                         READIE    345
 7000 FORMAT(I5,1X,A4,2I5)                                              READIE    346
 7001 FORMAT(16I5)                                                      READIE    347
 7002 FORMAT(8F10.5)                                                    READIE    348
 7003 FORMAT(4F10.5,F10.2,F10.5)                                        READIE    349
 7004 FORMAT(3F10.5,F10.2,F10.5)                                        READIE    350
      END                                                               READIE    351
